MapItem (images Maven Webapp 1.3.0-3.1.0 API)
Date: 2014-05-11

org.gcube.application.aquamaps.images.model

## Class MapItem

- java.lang.Object
- - org.gcube.application.aquamaps.images.model.MapItem

-     public class MapItem
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GEO`
    `static String` | `HSPEC_ID`
    `static String` | `SCIENTIFIC_NAME`
    `static String` | `SPECIES_ID`
    `static String` | `STATIC_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapItem(int hspecId, String speciesId, String scientificName, String staticImageUri, String geoId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getGeoId()`
    `int` | `getHspecId()`
    `int` | `getId()`
    `String` | `getScientificName()`
    `String` | `getSpeciesId()`
    `String` | `getStaticImageUri()`
    `int` | `hashCode()`
    `void` | `setGeoId(String geoId)`
    `void` | `setHspecId(int hspecId)`
    `void` | `setId(int id)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setSpeciesId(String speciesId)`
    `void` | `setStaticImageUri(String staticImageUri)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HSPEC_ID

          public static final String HSPEC_ID

      See Also:
        Constant Field Values

    - #### SPECIES_ID

          public static final String SPECIES_ID

      See Also:
        Constant Field Values

    - #### SCIENTIFIC_NAME

          public static final String SCIENTIFIC_NAME

      See Also:
        Constant Field Values

    - #### STATIC_IMAGE

          public static final String STATIC_IMAGE

      See Also:
        Constant Field Values

    - #### GEO

          public static final String GEO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapItem

          public MapItem(int hspecId,
                 String speciesId,
                 String scientificName,
                 String staticImageUri,
                 String geoId)

  - ### Method Detail

    - #### getId

          public int getId()

      Returns:
        the id

    - #### setId

          public void setId(int id)

      Parameters:
        `id` - the id to set

    - #### getHspecId

          public int getHspecId()

      Returns:
        the hspecId

    - #### setHspecId

          public void setHspecId(int hspecId)

      Parameters:
        `hspecId` - the hspecId to set

    - #### getSpeciesId

          public String getSpeciesId()

      Returns:
        the speciesId

    - #### setSpeciesId

          public void setSpeciesId(String speciesId)

      Parameters:
        `speciesId` - the speciesId to set

    - #### getScientificName

          public String getScientificName()

      Returns:
        the scientificName

    - #### setScientificName

          public void setScientificName(String scientificName)

      Parameters:
        `scientificName` - the scientificName to set

    - #### getStaticImageUri

          public String getStaticImageUri()

      Returns:
        the staticImageUri

    - #### setStaticImageUri

          public void setStaticImageUri(String staticImageUri)

      Parameters:
        `staticImageUri` - the staticImageUri to set

    - #### getGeoId

          public String getGeoId()

      Returns:
        the geoId

    - #### setGeoId

          public void setGeoId(String geoId)

      Parameters:
        `geoId` - the geoId to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.